Subject: Re: [PATCH v8 8/8] add tests for `git_config_get_string_const()`

From: Tanay Abhra <[email-masked]>
Date: Wed, 06 Aug 2014 21:14:31 +0530

On 8/6/2014 9:02 PM, Matthieu Moy wrote:
> Tanay Abhra <[email-masked]> writes:
> 
>> +test_expect_success 'find string value for a key' '
>> +	check_config get_string case.baz hask &&
>> +	check_config expect_code 1 get_string case.ba "Value not found for \"case.ba\""
>> +'
>> +
>> +test_expect_success 'check line error when NULL string is queried' '
>> +	test_expect_code 128 test-config get_string case.foo 2>result &&
>> +	grep "line 7.*.git/config\|.git/config.*line 7" result
>> +'
> 
> This is still dependant on the locale ("line" is translated). You need
> to use test_i18ngrep instead of grep here (see its definition and
> comment in t/test-lib.sh).
>

Oh, and I was searching t/README for a hint. Maybe we should add a line there
to hint future readers.
Thanks. :)

> I don't think you need these two alternatives OTOH.
> 
> BTW, Junio, I don't understand your remark "This test is too tight (the
> full string)" in the previous iteration. Can you elaborate?
>

I think he meant we must search for the relevant snippets instead of the whole string.